Bug 1044 - Ядро инсталятора не может инициализировать IDE ServerWorks CSB5 - kernel panic
: Ядро инсталятора не может инициализировать IDE ServerWorks CSB5 - kernel panic
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel24-up)
: unstable
: all Linux
: P4 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-07-02 18:35 by
Modified: 2003-08-25 15:18 (History)


Attachments
0001044-lspci-v-v.log.gz (deleted)
2002-07-02 18:35, Dmitry Lebkov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-07-02 18:35:33
Motherboard: Intel SCB2 (SCSI)

При загрузке с установочного CD или Floppy (в любом режиме - expert,recue ...) процесс останавливается с сообщением:
Kernel panic - unable mount (?) root device 01:03 (точно сейчас не вспомню). За несколько строчек до этого выдается следующее сообщение:
ServerWorks CSB5: IDE controller on PCI bus 00 dev 79
PCI: Device 00:0f.1 not available because of resource collisions
ServerWorks CSB5: (ide_setup_pci_device:) Could not enable device.

---

---
Установка ALT Linux Castle Beta3 (kernel-2.4.7) на той же платформе проходит нормально. Разница между 2.4.18 и 2.4.7 - в новом ядре, в файле drivers/ide/serverworks.c присутствует код инициализации чипсета CSB5. В старом этого нет.

Результат lspci -vv на ядре 2.4.18-alt7-smp приложен.
------- Comment #1 From 2002-10-21 14:17:48 -------
FIxed
------- Comment #2 From 2002-10-21 14:17:48 -------
FIxed